# Uses of Interface
com.sun.source.tree.NewClassTree

Packages that use NewClassTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of NewClassTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type NewClassTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitNewClass(NewClassTree node, P p)`
Visits a `NewClassTree` node.

## Uses of NewClassTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type NewClassTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitNewClass(NewClassTree node, P p)`
Visits a `NewClassTree` node.
`R`
TreeScanner.`visitNewClass(NewClassTree node, P p)`
Visits a `NewClassTree` node.